local modUtil = require "merk_modutil_1_1"
require "stringutil"

local options_faals_151 = {
	faals_151_fake = { type = "boolean", default = false, order = 1, name = _("Fakeversion"), description = _("option_faals_151_fake_desc"), image = "res/textures/ui/models_small/vehicle/waggon/faals_151_fake1.tga" },	
}

function data()
return {
	info = {
		minorVersion = 3,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("info_faals_name"),
		description = _("info_faals_desc"),
		tags = { "Europe", "Wagon", },
		visible = true,
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		tfnetId = 2641,                 															-- optional, transportfever.net id
		steamId = 838847314,             															-- optional, steam workshop id
		url = "https://www.transportfever.net/filebase/index.php/Entry/2641-Faals-151-Falrrs-153-152/", 	-- optional, URL zur Webseite des Mods
		visible = true	
	},
	settings = options_faals_151,
	
	runFn = function(settings)
		modUtil.initialize("kaleut_faals_151", options_faals_151, files)	
		local settings = modUtil.userSettings.get("kaleut_faals_151")	
		if not settings.faals_151_fake then
			-- Fakeversionen ausblenden
			modUtil.vehicles.hideObject("vehicle/waggon/faals_151_fake1.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/faals_151_fake2.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/faals_151_fake3.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_152_a_fake1.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_152_a_fake2.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_152_a_fake3.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_152_b_fake1.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_152_b_fake2.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_152_b_fake3.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_152_c_fake1.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_152_c_fake2.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_152_c_fake3.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_153_fake1.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_153_fake2.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/falrrs_153_fake3.mdl")
			
		end			
	end
}
end
